#include<iostream>
#include<tgmath.h>
#include<math.h>
using namespace std;

int main(){
	
	unsigned long long int l,d,n,broj,zbir,prvi,drugi,treci,p,q,r,prvo,drugo,trece;
	
	zbir=0;
	broj=0;
	cin>>p;
	cin>>q;
	cin>>r;
	cin>>l;
	cin>>d;
	for(n=l;n<=d;n++){
		zbir=0;
		prvo=n/p;
		if(n%p==0){
			prvi=n/p;
		}else{
			prvi=floor(prvo)+1;
		}
		drugo=n/q;
		if(n%q==0){
			drugi=n/q;
		}else{
			drugi=floor(drugo)+1;
		}
		trece=n/r;
		if(n%r==0){
			treci=n/r;
		}else{
			treci=floor(trece)+1;
		}
		zbir=prvi+drugi+treci;
		
		if(zbir<=n){
			broj=broj+1;
		}
	}
	
	cout<<broj;
}